Main Page Class Hierarchy Compound List File List Compound Members File Members

# MutableServerResult Class Reference

`#include <mutableserverresult.h>`

Inheritance diagram for MutableServerResult:

List of all members.

## Public Member Functions
| MutableServerResult ()
void | SetStatus (short p_status)
short | GetStatus ()
## Protected Member Functions
long | BufferInitAlloc ()
void | FormatDerivativeData ()
void | ParseDerivativeData ()
## Protected Attributes
short | Status

## Constructor & Destructor Documentation

MutableServerResult::MutableServerResult | ( |  | ) |

| Definition at line 13 of file mutableserverresult.cpp. References MSB_RESULT_ERROR, and Status.

## Member Function Documentation

long MutableServerResult::BufferInitAlloc | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in MagServerResult, and ResultTemplate. Definition at line 20 of file mutableserverresult.cpp. References MutableServerMessage::BufferInitAlloc(). Referenced by ResultTemplate::BufferInitAlloc(), and MagServerResult::BufferInitAlloc().

void MutableServerResult::FormatDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in MagServerResult, and ResultTemplate. Definition at line 29 of file mutableserverresult.cpp. References MutableServerMessage::FormatDerivativeData(), and MutableServerMessage::MessageBuffer. Referenced by ResultTemplate::FormatDerivativeData(), and MagServerResult::FormatDerivativeData().

short MutableServerResult::GetStatus | ( |  | ) |

| Definition at line 84 of file mutableserverresult.cpp. References Status. Referenced by ServerTemplate::HandleResult(), and MutableServerBase::TransmitRequest().

void MutableServerResult::ParseDerivativeData | ( |  | ) | `[protected, virtual]`

| Reimplemented from MutableServerMessage. Reimplemented in MagServerResult, and ResultTemplate. Definition at line 44 of file mutableserverresult.cpp. References MutableServerMessage::MessageBuffer, MSB_RESULT_ERROR, MutableServerMessage::ParseDerivativeData(), and Status. Referenced by ResultTemplate::ParseDerivativeData(), and MagServerResult::ParseDerivativeData().

void MutableServerResult::SetStatus | ( | short | p_status | ) |

| Definition at line 69 of file mutableserverresult.cpp. References MSB_RESULT_BUSY, MSB_RESULT_ERROR, MSB_RESULT_FAIL, MSB_RESULT_GOOD, and Status. Referenced by MutableServerBase::ClientServicer(), ServerTemplate::ProcessRequest(), and MutableServerBase::TransmitResult().

## Member Data Documentation

short MutableServerResult::Status`[protected]`

| Definition at line 98 of file mutableserverresult.h. Referenced by GetStatus(), MutableServerResult(), ParseDerivativeData(), and SetStatus().

The documentation for this class was generated from the following files:

- mutableserverresult.h
- mutableserverresult.cpp